Bug 1020910 - satellite-sync does not work correctly on a FIPS enabled Satellite
satellite-sync does not work correctly on a FIPS enabled Satellite
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Zazrivec
Jan Hutař
:
Depends On:
Blocks: 843620
  Show dependency treegraph
 
Reported: 2013-10-18 09:52 EDT by Milan Zazrivec
Modified: 2015-01-13 05:44 EST (History)
4 users (show)

See Also:
Fixed In Version: spacewalk-backend-2.1.29-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 05:44:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2013-10-18 09:52:00 EDT
Description of problem:
satellite-sync on a FIPS enabled Satellite fails with the following traceback:

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 139, in main
    return satsync.Runner().main()
  File "/usr/lib/python2.6/site-packages/spacewalk/satellite_tools/satsync.py", line 229, in main
    ret = method()
  File "/usr/lib/python2.6/site-packages/spacewalk/satellite_tools/satsync.py", line 301, in _step_channel_families
    self.syncer.syncCert()
  File "/usr/lib/python2.6/site-packages/spacewalk/satellite_tools/satsync.py", line 568, in syncCert
    return self._process_cert(cert, store_cert)
  File "/usr/lib/python2.6/site-packages/spacewalk/satellite_tools/satsync.py", line 616, in _process_cert
    fileutils.rotateFile(_DEFAULT_RHN_ENTITLEMENT_CERT_BACKUP, depth=5)
  File "/usr/lib/python2.6/site-packages/spacewalk/common/fileutils.py", line 113, in rotateFile
    and getFileChecksum(checksum_type, filepath) == \
  File "/usr/lib/python2.6/site-packages/spacewalk/common/checksum.py", line 57, in getFileChecksum
    m = hashlib.new(hashtype)
  File "/usr/lib64/python2.6/hashlib.py", line 83, in __hash_new
    return _hashlib.new(name, string, usedforsecurity)
ValueError: error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips


Version-Release number of selected component (if applicable):
Satellite 5.6

How reproducible:
Always

Steps to Reproduce:
1. Install Satellite 5.6 on a FIPS enabled RHEL system.
2. Run satellite-sync (-l)

Actual results:
Above traceback.

Expected results:
satellite-sync works correctly.

Additional info:
N/A
Comment 1 Milan Zazrivec 2013-10-18 10:01:50 EDT
spacewalk.git master: a4d23af586196547fa8d3b867f0aed7922503ca8
Comment 4 Pavel Studeník 2015-01-12 12:21:17 EST
Reverified with spacewalk-backend-2.3.3-23.el6sat.noarch

Synced full channel rhel-x86_64-server-6 and rhn-tools-rhel-x86_64-server-6
Comment 5 Clifford Perry 2015-01-13 05:44:25 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.